//
//  Sequence+Extended.swift
//  AppleLibs
//
//  Created by Tobias on 25.04.21.
//

import Foundation

public extension Sequence where Iterator.Element: Hashable
{
    var distinct: [Iterator.Element] {
        var seen: [Iterator.Element: Bool] = [:]
        return self.filter {
            seen.updateValue(true, forKey: $0) == nil
        }
    }
}
