//
//  UIColor+Hex.swift
//  AppleLibs
//
//  Created by Tobias on 15.07.21.
//

import UIKit

public extension UIColor {
    convenience init(hexString: String, alpha: CGFloat = 1) {
        self.init(hex: UInt(hexString.hasPrefix("#") ? String(hexString.dropFirst()) : hexString, radix: 16) ?? 0, alpha: alpha)
    }
    
    convenience init(hex: UInt, alpha: CGFloat = 1) {
        self.init(red:   .init((hex & 0xff0000) >> 16) / 255,
                  green: .init((hex & 0xff00  ) >>  8) / 255,
                  blue:  .init( hex & 0xff    )        / 255,
                  alpha: alpha)
    }
}
